Component({
  mixins: [],
  data: {
    curIndex: 0,
    firstTip: true,
  },
  props: {},
  didMount() { console.log(this.props) },
  didUpdate() { },
  didUnmount() { },
  methods: {
    touchStartFun(e) {
      this.startX = e.changedTouches[0].clientX;
    },
    touchMoveFun(e) {
      let tempX = e.changedTouches[0].clientX;
      let moveX = tempX - this.startX;

      if (Math.abs(moveX) > 12) {
        this.startX = tempX;
        let tempIndex = this.data.curIndex;
        if (moveX > 0) {
          tempIndex += (this.props.sensitivity || 1);
        } else {
          tempIndex -= (this.props.sensitivity || 1);
        }
        if (tempIndex >= this.props.imgSource.length) {
          tempIndex = 0;
        }
        if (tempIndex < 0) {
          tempIndex = this.props.imgSource.length - 1;
        }
        this.setData({
          curIndex: tempIndex
        })
      }
    },
    touchEndFun(e) {
      if (!!this.data.firstTip) {
        this.setData({
          firstTip: false
        })
      }
      try {
        this.props.onTouchOver();
      } catch (e) { }
    }
  },
});
